package com.jeeplus.finance.ccpm.service.ccpm;

import com.jeeplus.finance.utils.RestTemplateService;
import com.jeeplus.finance.utils.RestUtil;
import org.bouncycastle.cms.PasswordRecipientId;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.Map;

@Service
@Transactional(rollbackFor = Exception.class)
public class FlowRequest {

    @Autowired
    private RestTemplateService restTemplateService;

    @Autowired
    private RestUtil restUtil;


    /**
     * 获取项目信息
     * @return
     */
    public Object getProjectList(){
        Object result= restTemplateService.getSzCCPM("/a/ccpmList/ccpmList/getAllProject");
        return result;
    }


    public Object getWorkContractList() {
        Object result= restTemplateService.getSzCCPM("/a/ccpmList/ccpmList/getAllWorkContract");
        return result;
    }

    public Object getClientList() {
        Object result= restTemplateService.getSzCCPM("/a/ccpmList/ccpmList/getAllClient");
        return result;
    }
}
